# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(B/Deparse.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Polymorph.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(IO/String.pm) perl(LWP/Simple.pm) perl(Lexical/Alias.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PadWalker.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sub/Name.pm) perl(Symbol.pm) perl(Test/More.pm) perl(UNIVERSAL.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(lib.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Data-Rebuilder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Builds an object rebuilder.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LI/LIEUTAR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This approach is like to `Data::Dumper' approach. Moreover,
an output of this module is not easy to read.

However this solution can rebuild tied values, weak references, 
and closures.
In addition, this solution can parameterize 
arbitrary nodes of composite. Users can give new objects as 
arguments of the subroutine which is result.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

